#ifndef _FAVIM_LIBRARY_H_
#define _FAVIM_LIBRARY_H_

#include "../favim.h"
#include "library_manager.h"
#include "../vmstore/context.h"

typedef struct FavimExecutionMsg FavimExecutionMsg;

struct FavimExecutionMsg {
	FavimContext* context;
	uint8_t opcode;
}__attribute__((packed));

enum {
	FAVIM_LIB_BYTELENGTH_FID,
	FAVIM_LIB_USES_GLOBALS_FID,
};

// typedefs needed to call the exported functions
typedef uint8_t (*favim_lib_bytelength_proto)(func_cb_ptr, FavimOpCode);
typedef void (*favim_lib_uses_globals_proto)(func_cb_ptr, FavimOpCode, uint8_t*);

#endif 
