#ifndef _FAVIM_QUEUE_H_
#define _FAVIM_QUEUE_H_

typedef struct FavimQueue FavimQueue;

#include "../vmstore/context.h"
#include <sos_list.h>

struct FavimQueue {
  list_t queue;
}  __attribute__((packed)); 


int8_t queue_init(FavimQueue* queue); 
uint8_t queue_empty(FavimQueue* queue); 
int8_t queue_enqueue(FavimContext* context, FavimQueue* queue, FavimContext* element);
FavimContext* queue_dequeue(FavimContext* context, FavimQueue* queue);
int8_t queue_remove(FavimContext* context, FavimQueue* queue, FavimContext* element);

#endif
