#ifndef _FAVIM_SCHEDULER_H_
#define _FAVIM_SCHEDULER_H_

#include "../favim.h"
#include "../vmstore/context.h"

#define FAVIM_CPU_SLICE 30

//! The function ids for the exported functions
enum
{
	FAVIM_SCHEDULER_SUBMIT_FID,
	FAVIM_SCHEDULER_OPDONE_FID,
	FAVIM_SCHEDULER_REBOOT_FID,
};

// The typedefs needed to call the function
typedef int8_t (*favim_scheduler_submit_proto)(func_cb_ptr, FavimContext*);
typedef void (*favim_scheduler_opdone_proto)(func_cb_ptr, FavimContext*);
typedef void (*favim_scheduler_reboot_proto)(func_cb_ptr);

#endif
