# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'davimgui.ui'
#
# Created: Fri May 19 15:29:01 2006
#      by: The PyQt User Interface Compiler (pyuic) 3.14.1
#
# WARNING! All changes made in this file will be lost!


from qt import *

black = QColor(0,0,0)
yellow = QColor(255,255,0)

class DavimGUI(QMainWindow):
	def __init__(self,network,parent = None,name = None,fl = 0):
		QMainWindow.__init__(self,parent,name,fl)
		if not name:
			self.setName("davimgui")
		
		self.network = network
		network.subscribeAll(self.updateView)
		
		self.motes = []
		self.lcds = []
		self.labels = []
		for i in range(0,len(network.getMotes())):
			self.motes.insert(i, QLabel(self,'mote%i' % i))
			self.motes[i].setGeometry(QRect(20+i*120,60,100,100))
			self.motes[i].setPaletteBackgroundColor(black)
			self.lcds.insert(i, QLCDNumber(self,'lcd%i' % i))
			self.lcds[i].setGeometry(QRect(20+i*120,170,100,30))
			self.labels.insert(i, QLabel(self, 'caption%i' %i))
			self.labels[i].setGeometry(QRect(20+i*120,30,100,20))
		
		self.languageChange()
		
		self.resize(QSize(20+(len(self.motes)+1)*120,480).expandedTo(self.minimumSizeHint()))
		self.clearWState(Qt.WState_Polished)


	def languageChange(self):
		self.setCaption(self.__tr("DAViM Demo"))
		for mote in self.motes:
			mote.setText(QString.null)
			for i in range(0,len(self.labels)):
				self.labels[i].setText(self.__tr('ID: %i' % (i+1)))

	def __tr(self,s,c = None):
		return qApp.translate("davimgui",s,c)

	def updateView(self,mote):
		print 'updateView called'
		self.lcds[mote.id-1].setProperty("value",QVariant(mote.getLight()))
		if mote.isLightOn():
			self.motes[mote.id-1].setPaletteBackgroundColor(yellow)
		else:
			self.motes[mote.id-1].setPaletteBackgroundColor(black)
		self.repaint(True)

#	def DavimGUI_destroyed(self,a0):
#		print "Gui Destroyed ..."
#		raise GuiDestroyed, "Gui Destroyed"


