#!/usr/bin/python

from DavimTwisted import DavimClientFactory
from DavimController import DavimController
from DavimLight import Network
from DavimTUI import DavimTUI
from twisted.internet import qtreactor
from qt import *
from DavimGUI import *
import sys

if __name__ == "__main__":
	network = Network(3)
	app = QApplication(sys.argv)
	reactor = qtreactor.install(app)
	f = DavimGUI(network)
	f.show()
#	app.setMainWidget(f)
	fact = DavimClientFactory()
	contr = DavimController(fact,network)
	reactor.addSystemEventTrigger('after', 'shutdown', app.quit)
	app.connect(app, SIGNAL("lastWindowClosed()"), reactor.stop)
	reactor.connectTCP("localhost", 7915, fact)
	reactor.run()
