/**
 * \file sosbase.h
 * \brief This application is the SOS Base Station.
 */
#include <sos.h>

mod_header_ptr blink_serv_get_header();
mod_header_ptr blink_client_get_header();

void sos_start(void)
{
	ker_register_module(blink_serv_get_header());
	ker_register_module(blink_client_get_header());
}
