/** 
 * Static SOS programs must include <sos.h>
 */
#include <sos.h>
#include <mod_pid.h>

mod_header_ptr nic_get_header();
mod_header_ptr dft_loader_get_header();
mod_header_ptr scheduler_get_header();
mod_header_ptr event_manager_get_header();
mod_header_ptr library_manager_get_header();
mod_header_ptr concurrency_get_header();
mod_header_ptr stack_get_header();
mod_header_ptr capsule_get_header();
mod_header_ptr context_get_header();
mod_header_ptr vm_get_header();
mod_header_ptr basic_lib_get_header();
mod_header_ptr capsule_manager_get_header();
mod_header_ptr virus_get_header();

void sos_start(void)
{
        ker_register_module(nic_get_header());
        ker_register_module(dft_loader_get_header());
        ker_register_module(scheduler_get_header());
        ker_register_module(event_manager_get_header());
        ker_register_module(library_manager_get_header());
        ker_register_module(capsule_manager_get_header());
        ker_register_module(capsule_get_header());
        ker_register_module(basic_lib_get_header());
        ker_register_module(stack_get_header());
        ker_register_module(context_get_header());
        ker_register_module(concurrency_get_header());
        ker_register_module(vm_get_header());
        ker_register_module(virus_get_header());
}
