#ifndef _FAVIM_CONCURRENCY_H_
#define _FAVIM_CONCURRENCY_H_

#include "../favim.h"
#include "context.h"

enum
{
	FAVIM_CONC_SUBMIT_FID,
	FAVIM_CONC_RESUME_FID,
	FAVIM_CONC_HALT_FID,
	FAVIM_CONC_YIELD_FID,
	FAVIM_CONC_ANALYSE_CAPSULE_FID,
};

typedef int8_t (*favim_concurrency_submit_proto)(func_cb_ptr, FavimContext*);
typedef int8_t (*favim_concurrency_resume_proto)(func_cb_ptr, FavimContext*);
typedef void (*favim_concurrency_halt_proto)(func_cb_ptr, FavimContext*);
typedef void (*favim_concurrency_yield_proto)(func_cb_ptr, FavimContext*);
typedef void (*favim_concurrency_analyse_capsule_proto)(func_cb_ptr, FavimCapsule*);

#endif
