/*
 * Copyright (c) 2006, Wouter Horré
 * All rights reserved
 * 
 * See LICENSE for details
 */
#include <sos.h>
#ifdef SOS_SIM
#include <sim_interface.h>
mod_header_ptr netlib_get_header();
#endif

mod_header_ptr nic_get_header();
mod_header_ptr loader_get_header();

void sos_start(void)
{
	ker_register_module(nic_get_header());
	ker_register_module(loader_get_header());

#ifdef SOS_SIM
  module_headers[0] = netlib_get_header();
#endif

}

