/*
 * Copyright (c) 2006, Wouter Horré
 * All rights reserved
 * 
 * See LICENSE for details
 */
#ifndef _DAVIM_QUEUE_H_
#define _DAVIM_QUEUE_H_

typedef struct DavimQueue DavimQueue;

#include "../vmstore/context.h"
#include <sos_list.h>

struct DavimQueue {
  list_t queue;
}  __attribute__((packed)); 


int8_t queue_init(DavimQueue* queue); 
uint8_t queue_empty(DavimQueue* queue); 
int8_t queue_enqueue(DavimContext* context, DavimQueue* queue, DavimContext* element);
DavimContext* queue_dequeue(DavimContext* context, DavimQueue* queue);
int8_t queue_remove(DavimContext* context, DavimQueue* queue, DavimContext* element);

#endif
